 /*
Routine to read science window identifications from text file and generate batch file.

December. 2003 Modified by Niels Lund
*/

#include<stdio.h>
#include<math.h>
#include<stdlib.h>
#include<string.h>

/*#include<dos.h>*/

/* ***************************************************************************** */

main(argc,argv)
int argc ;
char *argv[] ;
{
   FILE *in, *out;
   char iline[100], s_line[5], cat[200];
   int j, jj, orb_pid, orbit, pid, pidv, jemx;
        
   if (argc > 2) strcpy(cat, argv[1]);
   else {printf("Usage ./copyfits listfil jemx(0/1)\n"); return;}
   jemx = atoi(argv[2]);

   in = fopen(cat, "rt") ;
   if ( in == NULL)
   {
      printf("Error opening file: %s ..... exiting!\n", cat) ;
      return ;
   }
   out = fopen("go_copyfits", "wt") ;
   if ( out == NULL)
   {
      printf("Error opening file: go_copyfits ..... exiting!\n") ;
      return ;
   }

   fprintf(out, "#! /bin/tcsh -f\n");
   for (jj=0; jj<5000; jj++) {
              
      fgets(iline, 100, in);
      if (feof(in)) goto end;

      strcpy(cat, iline);
      cat[20] = 0;
      iline[12] = 0;
      strncpy(s_line, &iline[0], 4);
      s_line[4] = 0;
      orbit = atoi(s_line);

      strncpy(s_line, &iline[4], 4);
      s_line[4] = 0;
      pid = atoi(s_line);

      strncpy(s_line, &iline[8], 4);
      s_line[4] = 0;
      pidv = atoi(s_line);
      pidv = (pidv - 10) / 10;

        /* test print */
/*	printf("%s", cat);  
	printf("orbit: %03d, pid: %04d, pidv: %1d\n", orbit, pid, pidv);
*/

     fprintf(out, "cp /r6/jemx/sci_data/pvphase/nrt/ops_1/scw/%04d/%s.000/jmx%1d/raw/jmx%1d_raw.fits ", 
	     orbit, iline, jemx+1, jemx+1);
     fprintf(out, "%04d/r%1d_%03d_%04d_%03d.fits\n", orbit, jemx+1, orbit, pid, pidv);

   }

end:
   fclose(in);
   fclose(out);
}

